Show / Hide Table of Contents

# Struct Attribute

Attributes are used as elements that contain both a foreground and a background or platform specific features

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public struct Attribute

##### Remarks

Attributes are needed to map colors to terminal capabilities that might lack colors, on color scenarios, they encode both the foreground and the background color and are used in the ColorScheme class to define color schemes that can be used in your application.

### Constructors

#### Attribute(Int32)

##### Declaration

    public Attribute (int v);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | v | To be added.

### Operators

#### op_Implicit(Int32 to Attribute)

##### Declaration

    public static Terminal.Attribute op_Implicit (int v);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | v | To be added.

##### Returns

Type | Description
--- | ---
Attribute | To be added.

#### op_Implicit(Attribute to Int32)

##### Declaration

    public static int op_Implicit (Terminal.Attribute c);

##### Parameters

Type | Name | Description
--- | --- | ---
Attribute | c | To be added.

##### Returns

Type | Description
--- | ---
System.Int32 | To be added.